org.apache.ignite.internal.processors.query

## Class QueryEntityEx

- java.lang.Object
- - org.apache.ignite.cache.QueryEntity
  - - org.apache.ignite.internal.processors.query.QueryEntityEx

All Implemented Interfaces:
  Serializable

    public class QueryEntityEx
    extends QueryEntity

Extended query entity with not-null fields support.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`QueryEntityEx()` Default constructor.
`QueryEntityEx(QueryEntity other)` Copying constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`Set<String>` `getNotNullFields()` Gets names of fields that must be checked for null.
`int` `hashCode()`
`QueryEntity` `setNotNullFields(Set<String> notNullFields)` Sets names of fields that must checked for null.
`String` `toString()`

### Methods inherited from class org.apache.ignite.cache.QueryEntity

`addQueryField, findKeyType, findValueType, getAliases, getDefaultFieldValues, getFields, getIndexes, getKeyFieldName, getKeyFields, getKeyType, getTableName, getValueFieldName, getValueType, setAliases, setDefaultFieldValues, setFields, setIndexes, setKeyFieldName, setKeyFields, setKeyType, setTableName, setValueFieldName, setValueType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### QueryEntityEx

    public QueryEntityEx()

Default constructor.

#### QueryEntityEx

    public QueryEntityEx(QueryEntity other)

Copying constructor.

Parameters:
  `other` - Instance to copy.

### Method Detail

#### getNotNullFields

    @Nullable
    public Set<String> getNotNullFields()

Gets names of fields that must be checked for null.

Overrides:
  `getNotNullFields` in class `QueryEntity`
Returns:
  Set of names of fields that must have non-null values.

#### setNotNullFields

    public QueryEntity setNotNullFields(@Nullable
                                        Set<String> notNullFields)

Sets names of fields that must checked for null.

Overrides:
  `setNotNullFields` in class `QueryEntity`
Parameters:
  `notNullFields` - Set of names of fields that must have non-null values.
Returns:
  `this` for chaining.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `QueryEntity`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `QueryEntity`

#### toString

    public String toString()

Overrides:
  `toString` in class `QueryEntity`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018